> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves information about your team.

# Get Team

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="team" objectPath="team" />


## OpenAPI

````yaml get /team
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /team:
    get:
      tags:
        - Team
      summary: Get Team
      parameters: []
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
              example: application/json
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Team'
              example:
                _id: tea_b4rMsi2trBhahaha
                name: lemlist
                userIds:
                  - usr_4YGm9ez7gMdyhahaha
                  - usr_5GdFEgSLCN4hahaha
                  - usr_F7iPChEQ3phahaha
                createdBy: usr_4YGm9ez7gMdyhahaha
                createdAt: '2018-02-22T08:52:30.926Z'
                hooks:
                  - _id: hoo_Ib5jfViX9hn3FzNqr
                    targetUrl: https://hooks.zapier.com/hooks/standard/946357/*some-id*/
                    createdAt: '2018-06-05T09:07:07.761Z'
                    zapId: 123456789
                    type: emailsReplied
                    campaignId: cam_TgyErJghahaha
                    isFirst: true
                  - _id: hoo_SDRr2w4JigZDL7OB2
                    targetUrl: >-
                      https://hooks.zapier.com/hooks/standard/5078320/*some-other-id*/
                    createdAt: '2019-06-05T14:38:56.535Z'
                    zapId: 987654321
                    type: emailsReplied
                    campaignId: cam_J2M3P9Z8whahaha
                  - _id: hoo_IYAPP4HnSyU7UTH3E
                    targetUrl: https://hooks.zapier.com/hooks/standard/5078320/*some-id*/
                    createdAt: '2019-06-05T15:49:36.624Z'
                    zapId: 59831776
                    type: emailsReplied
                    campaignId: cam_qBNYaIFXA77eXM1Ey
                    isFirst: true
                  - _id: hoo_UAtwcPAd0tK9U6hKG
                    targetUrl: https://subdomain.pipedream.net
                    createdAt: '2022-02-10T16:45:28.216Z'
                    campaignId: cam_7BE8IZRaqahU44Wp6
                slackWebhook:
                  url: >-
                    https://hooks.slack.com/services/T123456789/B123456789/*some-id*
                  failCounter: 1
                beta:
                  - outreachQueue
                  - crmSyncApiSalesforce
                  - voipWhitelist
                  - lemrich_postLemrichKafka
                  - computedFieldActiveCampaigns
                pictureId: fil_vRhMy09kT1Rv4Kq4O.png
                invitedUsers:
                  - email: support@lemlist.com
                    role: member
                    invitedBy: usr_w7XoMXW37hahaha
                    invitedAt: '2023-03-04T20:06:29.585Z'
                  - email: taylor@example.com
                    role: admin
                    invitedBy: usr_Hq4uzGvFP5q6homd
                    invitedAt: '2024-09-13T12:39:55.984Z'
                agency: usr_4YGm9ez7gMd2123456
                customDomain: custom.domain.com
        '400':
          description: 'Possible errors: No API key provided / Bad team'
          content:
            text/plain:
              example: No API key provided
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '403':
          description: User linked to this API key is blocked
          content:
            text/plain:
              example: User linked to this API key is blocked
        '404':
          description: No user found for this API key
          content:
            text/plain:
              example: No user found for this API key
components:
  schemas:
    Team:
      type: object
      description: The organization account that manages users and billing.
      properties:
        _id:
          type: string
          description: Unique team identifier
        name:
          type: string
          description: Team name
        userIds:
          type: array
          description: User IDs in this team
          items:
            type: string
        createdBy:
          type: string
          description: User ID who created the team
        createdAt:
          type: string
          format: date-time
          description: Date and time when the team was created
        hooks:
          type: array
          description: Webhooks configured for the team
          items:
            $ref: '#/components/schemas/Webhook'
        beta:
          type: array
          description: Beta features enabled for the team
          items:
            type: string
        slackWebhook:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Slack webhook URL for notifications
            failCounter:
              type: integer
              description: Number of consecutive failed notifications
          description: Slack webhooks configured for the team
        invitedUsers:
          type: array
          description: Pending user invitations
          items:
            type: object
            properties:
              email:
                type: string
                format: email
              role:
                type: string
              invitedBy:
                type: string
              invitedAt:
                type: string
                format: date-time
        agency:
          type: string
          description: Agency identifier if team is part of an agency
        pictureId:
          type: string
          description: Team profile picture file ID
        customDomain:
          type: string
          description: Custom domain for the team
    Webhook:
      type: object
      description: >-
        Webhooks send real-time HTTP notifications upon campaign events (opens,
        clicks, replies, etc.).
      properties:
        _id:
          type: string
          description: Unique webhook identifier
        targetUrl:
          type: string
          format: uri
          description: Destination URL for event notifications
        type:
          type: string
          description: >-
            Event type to listen for. Events are grouped by category — see the
            endpoint docs for a full breakdown.
          enum:
            - contacted
            - hooked
            - attracted
            - warmed
            - interested
            - notInterested
            - emailsSent
            - emailsOpened
            - emailsClicked
            - emailsReplied
            - emailsBounced
            - emailsFailed
            - emailsInterested
            - emailsNotInterested
            - emailsUnsubscribed
            - linkedinSent
            - linkedinOpened
            - linkedinReplied
            - linkedinInterested
            - linkedinNotInterested
            - linkedinSendFailed
            - linkedinVisitDone
            - linkedinVisitFailed
            - linkedinFollowDone
            - linkedinFollowFailed
            - linkedinFollowSkipped
            - linkedinInviteDone
            - linkedinInviteFailed
            - linkedinInviteAccepted
            - linkedinEndorseDone
            - linkedinEndorseFailed
            - linkedinEndorseSkipped
            - linkedinVoiceNoteDone
            - linkedinVoiceNoteFailed
            - linkedinLikeLastPostDone
            - linkedinLikeLastPostNoPost
            - linkedinLikeLastPostFailed
            - linkedinWithdrawInvitationDone
            - linkedinWithdrawInvitationFailed
            - whatsappMessageSent
            - whatsappMessageDelivered
            - whatsappMessageOpened
            - whatsappReplied
            - whatsappMessageFailed
            - smsSent
            - smsDelivered
            - smsReplied
            - smsFailed
            - aircallCreated
            - aircallEnded
            - aircallDone
            - aircallInterested
            - aircallNotInterested
            - apiDone
            - apiInterested
            - apiNotInterested
            - apiFailed
            - manualInterested
            - manualNotInterested
            - paused
            - resumed
            - stopped
            - campaignComplete
            - customDomainErrors
            - connectionIssue
            - sendLimitReached
            - lemwarmPaused
            - annotated
            - enrichmentDone
            - enrichmentError
            - callRecordingDone
            - callTranscriptDone
            - inboxLabelUpdated
            - signalRegistered
            - deliverabilityAlertTriggered
        campaignId:
          type: string
          description: The ID of the campaign the webhook is associated with (if any)
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        zapId:
          type: integer
          description: Zapier integration ID (if the destination is a Zapier webhook)
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````